'use strict';

app.factory('Roadmap', function($q, $timeout, $http) {

		var Roadmap = {
            all: function() {
					var def = $q.defer();
					$timeout(function() {
							// Get the json
							$http.get('data/roadmap.json').success(function(data) {
                                  def.resolve(data);
							});
					}, 30); // timeout
					return def.promise;
			} // /all
		}; // /Roadmap

		return Roadmap;
}); // /Exercice
